using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Xdimax;

namespace WindowsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
         // received data array definition
         byte[] recData = new byte[3]{0x00, 0x00, 0x00}; 

        private void button1_Click_1(object sender, EventArgs e)
        {
            Sub20 dev = new Sub20();
            char h;
            string s = "";
            
            if (!dev.Open(0))
            {
                MessageBox.Show(
                    dev.GetStrError(dev.GetLastError()),
                    "Open failed");
                return ;
            }
            

            do
            {
                dev.LCD_Write("Yuhann\nABCD");
                /* configure SPI */
                if (!dev.SPI_SetConfig(
                            Sub20.SpiEnable |
                            Sub20.SpiCpolFall|
                            Sub20.SpiSetupSmpl |
                            Sub20.SpiMsbFirst |
                            Sub20.SpiClk_125kHz))
                {
                    MessageBox.Show(
                        dev.GetStrError(dev.GetLastError()),
                        "SPI_SetConfig failed");
                    break;
                }

                byte [] data = new byte[] {0x33, 0x44, 0x55};

                /* transmit data, slave select 2  - Doesn't Work */
                if (!dev.SPI_Transfer(data, 2, Sub20.SpiSS_HL))
                {
                    MessageBox.Show(
                        dev.GetStrError(dev.GetLastError()),
                        "SPI_Transfer failed");
                    break;
                }
                else
                {
                    for (int i = 0; i < data.Length; i++)
                    {

                             recData[i] = data[i];
                             h = (char)recData[i];
                             s += h.ToString();
                            
                    }

                }
                    textBox1.Text = s;

            } while (false);
            
          

            dev.Close();
        }

    }
}